Subject: bug#56682: locked narrowing

From: Gregory Heytings <[email-masked]>
Date: Tue, 29 Nov 2022 20:59:07 +0000

>
> The result will be that the benchmark will report ~30ms both near BOB 
> and near EOB. So the long-lines-threshold thingy adds a regression here.
>

It's not a regression, it's the price we agreed to pay to detect whether 
the buffer contains long lines.  That detection happens dynamically, to 
catch cases when long lines are inserted in a buffer.

>
> Again, not trying to criticize or anything, but a 100ms is usually 
> considered as something that brings an operation from appearing 
> "instantaneous" down to "noticeable delay".
>

I don't think your benchmark is representative.  While (benchmark-run 1 
(progn (insert "a") (redisplay t))) does take 100 ms, Emacs remains 
responsive when I type as fast as I can (which is faster than 10 
characters per second), and I do not see any delays.